Javascript Scrollview
Scrollview for Javascript
Scrollview for Javascript
Scrollview for Javascript
Create scrollable layouts with the help of the scrollview component.
The scrollable elements can house content of any type, size or depth. Use it for paging or just a simple list of items users need to scroll through.
Shipping with useful features for creating horizontally scrollable layouts:
- Usage on mobile and desktop
- Touch and mouse interaction supported
- Compatible with other components, like cards, listviews
- Paging & variable width items
- Snap to items or freeform scrolling
- Multiple theme support
- Liquid or fixed layout
Scrollview demos available for other frameworks.
Viewing demos & code for
Scrollview - Paging
var categoryNav,
contentView;
// init categories navigation
categoryNav = mobiscroll.nav('.md-category', {
lang: '',
theme: '',
themeVariant: '',
type: 'tab',
onItemTap: function (event, inst) {
contentView.navigate(document.querySelector('.' + event.target.getAttribute('data-page')));
}
});
// init content scrollview
contentView = mobiscroll.scrollview('.md-content', {
lang: '',
theme: '',
themeVariant: '',
layout: 1,
paging: true,
threshold: 15,
cssClass: 'md-page',
onAnimationStart: function (event, inst) {
var selectedIndex = -(event.destinationX / inst.contWidth),
selectedItem = document.querySelectorAll('.md-category li')[selectedIndex];
if (!selectedItem.classList.contains('mbsc-ms-item-sel')) {
categoryNav.navigate(selectedItem);
}
}
});
// init content listview
mobiscroll.listview('.md-list', {
lang: '',
theme: '',
themeVariant: '',
swipe: false,
striped: true,
enhance: true
});
<div class="md-paging">
<ul class="md-category mbsc-cloak">
<li data-id="1" data-page="md-pop" data-selected="true">Pop</li>
<li data-id="2" data-page="md-rock">Rock</li>
<li data-id="3" data-page="md-jazz">Jazz</li>
<li data-id="4" data-page="md-piano">Piano</li>
<li data-id="5" data-page="md-electric">Electric</li>
</ul>
<ul class="md-content mbsc-cloak">
<li class="md-pop">
<ul class="md-music-lv md-list mbsc-cloak">
<li data-icon="play" data-icon-align="right"><img src="https://img.mobiscroll.com/demos/paging/Adele_1x.png" />
<h4>Hello</h4>
<p>Adele</p>
</li>
<!-- Showing partial data. Download full source. -->
</ul>
</li>
<li class="md-rock">
<ul class="md-music-lv md-list mbsc-cloak">
<li data-icon="play" data-icon-align="right"><img src="https://img.mobiscroll.com/demos/paging/Elle_King_1x.png" />
<h4>Ex's & Oh's</h4>
<p>Elle King</p>
</li>
</ul>
</li>
<li class="md-jazz">
<ul class="md-music-lv md-list mbsc-cloak">
<li data-icon="play" data-icon-align="right"><img src="https://img.mobiscroll.com/demos/paging/Jeff_Lorber_1x.png" />
<h4>Get Up</h4>
<p>Jeff Lorber Fusion</p>
</li>
</ul>
</li>
<li class="md-piano">
<ul class="md-music-lv md-list mbsc-cloak">
<li data-icon="play" data-icon-align="right"><img src="https://img.mobiscroll.com/demos/paging/Rachmaninoff_1x.png" />
<h4>Etudes Tableaux</h4>
<p>Rachmaninoff</p>
</li>
</ul>
</li>
<li class="md-electric">
<ul class="md-music-lv md-list mbsc-cloak">
<li data-icon="play" data-icon-align="right"><img src="https://img.mobiscroll.com/demos/paging/Major-Lazer_1x.png" />
<h4>Lean On</h4>
<p>Major Lazer & DJ Snake Featuring M0</p>
</li>
</ul>
</li>
</ul>
</div>
body,
mbsc-page>.mbsc-page {
margin: 0;
padding: 0;
height: 100%;
overflow: visible;
}
.md-paging,
.md-paging>div,
.md-paging .md-page {
height: 100%;
padding: 0;
overflow: hidden;
}
.md-paging .md-list-cont,
.md-paging .mbsc-scv-item>.mbsc-lv-cont {
-webkit-box-flex: 1;
-webkit-flex: 1 auto;
-ms-flex: 1 auto;
flex: 1 auto;
overflow: auto;
-webkit-overflow-scrolling: touch;
}
.md-paging .mbsc-lv-img {
pointer-events: none;
border-radius: 2.8em;
height: 2.8em;
}
Scrollview - Cards
mobiscroll.card('.demo-card li', {
lang: '',
theme: '',
themeVariant: ''
});
mobiscroll.scrollview('.demo-card', {
lang: '',
theme: '',
themeVariant: '',
layout: 'fixed',
itemWidth: 134,
snap: false
});
<div class="md-cards">
<div class="md-card-cont">
<h3>New & Updated Games</h3>
<ul class="demo-card mbsc-cloak">
<li class="mbsc-cloak">
<div class="mbsc-card-content">
<img class="md-img" src="https://img.mobiscroll.com/demos/worms3.png" draggable="false">
<div class="mbsc-card-title">Worms 3</div>
<div class="mbsc-card-subtitle">Team 17 Digital Limited</div>
<div class="md-rank">4.2<span class="mbsc-ic mbsc-ic-star3"></span></div>
</div>
</li>
<!-- Showing partial data. Download full source. -->
</ul>
<h3>Media & Video Apps</h3>
<ul class="demo-card mbsc-cloak">
<li class="mbsc-cloak">
<div class="mbsc-card-content">
<img class="md-img" src="https://img.mobiscroll.com/demos/vlc.png" draggable="false">
<div class="mbsc-card-title">VLC for Android</div>
<div class="mbsc-card-subtitle">Videolabs </div>
<div class="md-rank">4.3<span class="mbsc-ic mbsc-ic-star3"></span></div>
</div>
</li>
</ul>
<h3>New & Updated Apps</h3>
<ul class="demo-card mbsc-cloak">
<li class="mbsc-cloak">
<div class="mbsc-card-content">
<img class="md-img" src="https://img.mobiscroll.com/demos/netflix.png" draggable="false">
<div class="mbsc-card-title">Netflix</div>
<div class="mbsc-card-subtitle">Netflix, Inc. </div>
<div class="md-rank">4.4<span class="mbsc-ic mbsc-ic-star3"></span></div>
</div>
</li>
</ul>
</div>
</div>
.md-cards h3 {
padding: .5em;
margin: 0;
}
.md-img {
pointer-events: none;
border-radius: 8px;
}
.demo-card .mbsc-card-title {
font-size: 14px;
padding-top: 8px;
margin: 0;
}
.md-rank {
font-size: 12px;
position: absolute;
bottom: 8px;
left: 8px;
}
Scrollview - Layout
mobiscroll.scrollview('#demo-fixed', {
theme: '',
themeVariant: '',
layout: 'fixed',
itemWidth: 80
});
mobiscroll.scrollview('#demo-variable', {
theme: '',
themeVariant: ''
});
mobiscroll.scrollview('#demo-paging', {
theme: '',
themeVariant: '',
layout: 3,
paging: true
});
mobiscroll.scrollview('#demo-fullpage', {
theme: '',
themeVariant: '',
layout: 1,
paging: true
});
<div class="md-layout">
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Fixed width</div>
<div id="demo-fixed" class="mbsc-cloak md-fixed">
<div class="bck-orange">1</div>
<div class="bck-red">2</div>
<div class="bck-green">3</div>
<div class="bck-yellow">4</div>
<div class="bck-blue">5</div>
<div class="bck-pink">6</div>
</div>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Variable width</div>
<div id="demo-variable" class="mbsc-cloak md-variable">
<div class="bck-green variable-1">1</div>
<div class="bck-blue variable-2">2</div>
<div class="bck-orange variable-3">3</div>
<div class="bck-red variable-4">4</div>
<div class="bck-pink variable-5">5</div>
<div class="bck-yellow variable-6">6</div>
</div>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Paging</div>
<div id="demo-paging" class="mbsc-cloak md-pages">
<div class="bck-pink">1</div>
<div class="bck-yellow">2</div>
<div class="bck-red">3</div>
<div class="bck-green">4</div>
<div class="bck-blue">5</div>
<div class="bck-orange">6</div>
</div>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Full page</div>
<div id="demo-fullpage" class="mbsc-cloak md-fullpage">
<div class="bck-blue">1</div>
<div class="bck-pink">2</div>
<div class="bck-green">3</div>
<div class="bck-orange">4</div>
<div class="bck-red">5</div>
<div class="bck-yellow">6</div>
</div>
</div>
</div>
.bck-orange {
background: #ff9800;
}
.bck-red {
background: #f4511e;
}
.bck-green {
background: #afb42b;
}
.bck-yellow {
background: #ffc400;
}
.bck-blue {
background: #64b5f6;
}
.bck-pink {
background: #f48fb1;
}
.md-layout .mbsc-scv-item {
color: #fff;
font-weight: bold;
text-align: center;
}
.md-layout .mbsc-scv-c {
margin: 10px 0;
}
.variable-1 {
width: 60px;
height: 60px;
}
.variable-2 {
width: 80px;
height: 80px;
}
.variable-3 {
width: 70px;
height: 70px;
}
.variable-4 {
width: 50px;
height: 50px;
}
.variable-5 {
width: 100px;
height: 100px;
}
.variable-6 {
width: 40px;
height: 40px;
}
.md-fixed .mbsc-scv-item {
height: 80px;
margin: 0 10px;
}
.md-variable .mbsc-scv-item {
margin: auto 10px;
}
.md-pages .mbsc-scv-item {
height: 80px;
}
.md-fullpage .mbsc-scv-item {
height: 630px;
font-size: 28px;
}
Scrollview - RTL Support
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
mobiscroll.scrollview('#demo-fixed', {
layout: 'fixed',
itemWidth: 80,
rtl: true
});
mobiscroll.scrollview('#demo-variable', {
rtl: true
});
mobiscroll.scrollview('#demo-paging', {
layout: 3,
paging: true,
rtl: true
});
mobiscroll.scrollview('#demo-fullpage', {
layout: 1,
paging: true,
rtl: true
});
mobiscroll.form('#myform', {
rtl: true
});
<div id="myform" class="md-layout">
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Fixed width</div>
<div id="demo-fixed" class="mbsc-cloak md-fixed">
<div class="bck-orange">1</div>
<div class="bck-red">2</div>
<div class="bck-green">3</div>
<div class="bck-yellow">4</div>
<div class="bck-blue">5</div>
<div class="bck-pink">6</div>
</div>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Variable width</div>
<div id="demo-variable" class="mbsc-cloak md-variable">
<div class="bck-green variable-1">1</div>
<div class="bck-blue variable-2">2</div>
<div class="bck-orange variable-3">3</div>
<div class="bck-red variable-4">4</div>
<div class="bck-pink variable-5">5</div>
<div class="bck-yellow variable-6">6</div>
</div>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Paging</div>
<div id="demo-paging" class="mbsc-cloak md-pages">
<div class="bck-pink">1</div>
<div class="bck-yellow">2</div>
<div class="bck-red">3</div>
<div class="bck-green">4</div>
<div class="bck-blue">5</div>
<div class="bck-orange">6</div>
</div>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Full page</div>
<div id="demo-fullpage" class="mbsc-cloak md-fullpage">
<div class="bck-blue">1</div>
<div class="bck-pink">2</div>
<div class="bck-green">3</div>
<div class="bck-orange">4</div>
<div class="bck-red">5</div>
<div class="bck-yellow">6</div>
</div>
</div>
</div>
.bck-orange {
background: #ff9800;
}
.bck-red {
background: #f4511e;
}
.bck-green {
background: #afb42b;
}
.bck-yellow {
background: #ffc400;
}
.bck-blue {
background: #64b5f6;
}
.bck-pink {
background: #f48fb1;
}
.md-layout .mbsc-scv-item {
color: #fff;
font-weight: bold;
text-align: center;
}
.md-layout .mbsc-scv-c {
margin: 10px 0;
}
.variable-1 {
width: 60px;
height: 60px;
}
.variable-2 {
width: 80px;
height: 80px;
}
.variable-3 {
width: 70px;
height: 70px;
}
.variable-4 {
width: 50px;
height: 50px;
}
.variable-5 {
width: 100px;
height: 100px;
}
.variable-6 {
width: 40px;
height: 40px;
}
.md-fixed .mbsc-scv-item {
height: 80px;
margin: 0 10px;
}
.md-variable .mbsc-scv-item {
margin: auto 10px;
}
.md-pages .mbsc-scv-item {
height: 80px;
}
.md-fullpage .mbsc-scv-item {
height: 630px;
font-size: 28px;
}
Scrollview - Event handlers
EVENTS FIRED:
mobiscroll.scrollview('#demo', {
theme: '',
themeVariant: '',
layout: 1,
paging: true,
onInit: function (event, inst) {
// Your custom event handler goes here
},
onMarkupReady: function (event, inst) {
// Your custom event handler goes here
},
onMove: function (event, inst) {
// Your custom event handler goes here
},
onItemTap: function (event, inst) {
// Your custom event handler goes here
},
onAnimationStart: function (event, inst) {
// Your custom event handler goes here
},
onAnimationEnd: function (event, inst) {
// Your custom event handler goes here
},
onGestureStart: function (event, inst) {
// Your custom event handler goes here
},
onGestureEnd: function (event, inst) {
// Your custom event handler goes here
}
});
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Paging</div>
<div id="demo" class="md-scrollview-events mbsc-cloak">
<div class="bck-green">1</div>
<div class="bck-yellow">2</div>
<div class="bck-pink">3</div>
<div class="bck-orange">4</div>
<div class="bck-blue">5</div>
<div class="bck-red">6</div>
</div>
</div>
.bck-orange {
background: #ff9800;
}
.bck-red {
background: #f4511e;
}
.bck-green {
background: #afb42b;
}
.bck-yellow {
background: #ffc400;
}
.bck-blue {
background: #64b5f6;
}
.bck-pink {
background: #f48fb1;
}
.md-scrollview-events .mbsc-scv-item {
height: 200px;
color: #fff;
font-weight: bold;
text-align: center;
}
Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.
Component license
Purchase component licenses if you are looking for specific funcionality.
All
Framework license
Get all 36 components, including
Framework license
Get all 36 components, including
- Use it when building with plain and simple JS
- Compatible with vanilla JS app or frameworks like Vue
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with jQuery and jQuery Mobile
- Enjoy the familiar API if you already use jQuery
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular JS and Ionic 1
- For web and mobile apps based on Angular 1.x
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular and Ionic 2/3/4
- Visual Studio and VS Code integration
- Royalty-free commercial usage
- Technical support is included with the license
- Use it when building with React JS
- Collection of UI components for web and mobile
- Royalty-free commercial usage
- Technical support is included with the license
Framework license
Select the development framework you are using. Get all 36 components with the license.
- Use it when building with plain and simple JS
- Compatible with vanilla JS app or frameworks like Vue
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with jQuery and jQuery Mobile
- Enjoy the familiar API if you already use jQuery
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular JS and Ionic 1
- For web and mobile apps based on Angular 1.x
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular and Ionic 2/3/4
- Visual Studio and VS Code integration
- Royalty-free commercial usage
- Technical support is included with the license
- Use it when building with React JS
- Collection of UI components for web and mobile
- Royalty-free commercial usage
- Technical support is included with the license
Select the framework you are interested in
Use Javascript when building with plain and simple JS.
Use jQuery when you have jQuery already included or if you are building with jQuery Mobile.
Use AngularJS when building with Angular 1.x or Ionic 1.
Use Angular when building with Angular 2/4/5/6/7/8 or Ionic 2/3/4.
Use it when you are building your app or website with React.
Do you need additional support seats?
The license comes with one support seat. ( +$100/seat )
Add the source code?
What framework are you using?
We have to set you up with a trial for this to run 👍
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic
$ mobiscroll config ionic --lite
You will be prompted to log in with your mobiscroll account. Set your password here
Create an Ionic 3 & Mobiscroll starter with the CLI:
Run this command for Ionic 4 & Mobiscroll starter:
Step 3.Copy the code into your app.
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Angular project
$ mobiscroll config angular
$ mobiscroll config angular --lite
You will be prompted to log in with your mobiscroll account. Set your password here
Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.
Step 4.Run ng serve in the root folder of your app 🎉
$ ng serve
And voilà, everything should be running smoothly.
Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.
$ npm install
$ ionic serve
Let us know if we can help and enjoy!
Your password has been changed!
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
Extract the zip file and open the demo in your favorite browser.
To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍
Please extract the zip file and run the project like any Angular CLI app.
Make sure to have the Angular CLI installed.
For installation and usage, extract the zip file and open a terminal window and follow these steps.
$ npm install
$ ng serve --open
Let us know if we can help and enjoy! 👍
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The easiest way to get started is to follow the installation steps and by
grabbing the code directly from the demo page. Let us know if we can help and enjoy!
You'll find a fully functional Kitchen-sink Ionic app in the zip file.
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍

Scrollview for React

Updated on May 17, 2021

Create scrollable layouts with the help of the scrollview component.

The scrollable elements can house content of any type, size or depth. Use it for paging or just a simple list of items users need to scroll through.

Shipping with useful features for creating horizontally scrollable layouts:

  • Usage on mobile and desktop
  • Touch and mouse interaction supported
  • Compatible with other components, like cards, listviews
  • Paging & variable width items
  • Snap to items or freeform scrolling
  • Multiple theme support
  • Liquid or fixed layout



As part of Gesture enabled listview it can be picked up with the Framework and Complete licenses or with the component license.


Interested in scroller components? Other demos that could be useful:

Select Scroller


Scrollview demos available for other frameworks.

Viewing demos & code for

React Scrollview Scrollview for React

Scrollview - Paging

Change demo
Paging
React Horizontal scroll view demo for layout. Use it to build horizontally scrollable paging. Segment content for navigation. For React and Next.JS.
Copy code

Scrollview - Cards

Change demo
Cards
React Horizontally scrollable card list grouped by interest or category. Segment content for discoverability and navigation. For React and Next.JS.
Copy code

Scrollview - Layout

Change demo
Layout
React Horizontally scrollable elements with fixed, variable width, paging and full-width containers for image & content carousel. For React and Next.JS.
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

class App extends React.Component {
    render() {
        return (
            <div className="md-layout">
                <mobiscroll.FormGroup>
                    <mobiscroll.FormGroupTitle>Fixed width</mobiscroll.FormGroupTitle>
                    <mobiscroll.ScrollView 
                        theme=" "  
                        themeVariant=" "
                        layout="fixed"
                        itemWidth={80}
                        className="md-fixed"
                    >
                        <div className="bck-orange">1</div>
                        <div className="bck-red">2</div>
                        <div className="bck-green">3</div>
                        <div className="bck-yellow">4</div>
                        <div className="bck-blue">5</div>
                        <div className="bck-pink">6</div>
                    </mobiscroll.ScrollView>
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup>
                    <mobiscroll.FormGroupTitle>Variable width</mobiscroll.FormGroupTitle>
                    <mobiscroll.ScrollView
                        theme=" " 
                        themeVariant=" "
                        className="md-variable"
                    >
                        <div className="bck-green variable-1">1</div>
                        <div className="bck-blue variable-2">2</div>
                        <div className="bck-orange variable-3">3</div>
                        <div className="bck-red variable-4">4</div>
                        <div className="bck-pink variable-5">5</div>
                        <div className="bck-yellow variable-6">6</div>
                    </mobiscroll.ScrollView>
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup>
                    <mobiscroll.FormGroupTitle>Paging</mobiscroll.FormGroupTitle>
                    <mobiscroll.ScrollView
                        theme=" " 
                        themeVariant=" "
                        layout={3}
                        paging={true}
                        className="md-pages"
                    >
                        <div className="bck-pink">1</div>
                        <div className="bck-yellow">2</div>
                        <div className="bck-red">3</div>
                        <div className="bck-green">4</div>
                        <div className="bck-blue">5</div>
                        <div className="bck-orange">6</div>
                    </mobiscroll.ScrollView>
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup>
                    <mobiscroll.FormGroupTitle>Full page</mobiscroll.FormGroupTitle>
                    <mobiscroll.ScrollView
                        theme=" " 
                        themeVariant=" "
                        layout={1}
                        paging={true}
                        className="md-fullpage"
                    >
                        <div className="bck-blue">1</div>
                        <div className="bck-pink">2</div>
                        <div className="bck-green">3</div>
                        <div className="bck-orange">4</div>
                        <div className="bck-red">5</div>
                        <div className="bck-yellow">6</div>
                    </mobiscroll.ScrollView>
                </mobiscroll.FormGroup>
            </div>
        );
    }
}

<div id="content"></div>
.bck-orange {
    background: #ff9800;
}

.bck-red {
    background: #f4511e;
}

.bck-green {
    background: #afb42b;
}

.bck-yellow {
    background: #ffc400;
}

.bck-blue {
    background: #64b5f6;
}

.bck-pink {
    background: #f48fb1;
}

.md-layout .mbsc-scv-item {
    color: #fff;
    font-weight: bold;
    text-align: center;
}

.md-layout .mbsc-scv-c {
    margin: 10px 0;
}

.variable-1 {
    width: 60px;
    height: 60px;
}

.variable-2 {
    width: 80px;
    height: 80px;
}

.variable-3 {
    width: 70px;
    height: 70px;
}

.variable-4 {
    width: 50px;
    height: 50px;
}

.variable-5 {
    width: 100px;
    height: 100px;
}

.variable-6 {
    width: 40px;
    height: 40px;
}

.md-fixed .mbsc-scv-item {
    height: 80px;
    margin: 0 10px;
}

.md-variable .mbsc-scv-item {
    margin: auto 10px;
}

.md-pages .mbsc-scv-item {
    height: 80px;
}

.md-fullpage .mbsc-scv-item {
    height: 630px;
    font-size: 28px;
}

Scrollview - RTL Support

Change demo
RTL Support
React Horizontal scroll view with full RTL support and source. For React and Next.JS.
Copy code

Scrollview - Event handlers

Change demo
Event handlers
React Horizontally scrollable page-view demo with event hooks for custom integration and functionality. For React and Next.JS.
Clear event log
EVENTS FIRED: 
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Scrollview for Angular and Ionic Framework

Updated on May 17, 2021

Create scrollable layouts with the help of the scrollview component.

The scrollable elements can house content of any type, size or depth. Use it for paging or just a simple list of items users need to scroll through.

Shipping with useful features for creating horizontally scrollable layouts:

  • Usage on mobile and desktop
  • Touch and mouse interaction supported
  • Compatible with other components, like cards, listviews
  • Paging & variable width items
  • Snap to items or freeform scrolling
  • Multiple theme support
  • Liquid or fixed layout



As part of Gesture enabled listview it can be picked up with the Framework and Complete licenses or with the component license.


Interested in scroller components? Other demos that could be useful:

Select Scroller


Scrollview demos available for other frameworks.

Viewing demos & code for

Angular and Ionic Scrollview Scrollview for Angular and Ionic Framework

Scrollview - Paging

Change demo
Paging
Angular Horizontal scroll view demo for layout. Use it to build horizontally scrollable paging. Segment content for navigation. For Angular 22 and Ionic 8.
Copy code

Scrollview - Cards

Change demo
Cards
Angular Horizontally scrollable card list grouped by interest or category. Segment content for discoverability and navigation. For Angular 22 and Ionic 8.
Copy code

Scrollview - Layout

Change demo
Layout
Angular Horizontally scrollable elements with fixed, variable width, paging and full-width containers for image & content carousel. For Angular 22 and Ionic 8.
Copy code
import { Component } from '@angular/core';
import { MbscScrollViewOptions } from '@mobiscroll/angular';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    fixedSettings: MbscScrollViewOptions = {
        theme: ' ',
        themeVariant: ' ',
        layout: 'fixed',
        itemWidth: 80
    };

    variableSettings: MbscScrollViewOptions = {
        theme: ' ',
        themeVariant: ' '
    };

    pagingSettings: MbscScrollViewOptions = {
        theme: ' ',
        themeVariant: ' ',
        layout: 3,
        paging: true
    };

    fullpageSettings: MbscScrollViewOptions = {
        theme: ' ',
        themeVariant: ' ',
        layout: 1,
        paging: true
    };
}
<div class="md-layout">
    <mbsc-form-group>
        <mbsc-form-group-title>Fixed width</mbsc-form-group-title>
        <mbsc-scrollview [options]="fixedSettings" class="md-fixed">
            <mbsc-scrollview-item class="bck-orange">1</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-red">2</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-green">3</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-yellow">4</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-blue">5</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-pink">6</mbsc-scrollview-item>
        </mbsc-scrollview>
    </mbsc-form-group>
    <mbsc-form-group>
        <mbsc-form-group-title>Variable width</mbsc-form-group-title>
        <mbsc-scrollview [options]="variableSettings" class="md-variable">
            <mbsc-scrollview-item class="bck-green variable-1">1</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-blue variable-2">2</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-orange variable-3">3</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-red variable-4">4</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-pink variable-5">5</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-yellow variable-6">6</mbsc-scrollview-item>
        </mbsc-scrollview>
    </mbsc-form-group>
    <mbsc-form-group>
        <mbsc-form-group-title>Paging</mbsc-form-group-title>
        <mbsc-scrollview [options]="pagingSettings" class="md-pages">
            <mbsc-scrollview-item class="bck-pink">1</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-yellow">2</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-red">3</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-green">4</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-blue">5</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-orange">6</mbsc-scrollview-item>
        </mbsc-scrollview>
    </mbsc-form-group>
    <mbsc-form-group>
        <mbsc-form-group-title>Full page</mbsc-form-group-title>
        <mbsc-scrollview [options]="fullpageSettings" class="md-fullpage">
            <mbsc-scrollview-item class="bck-blue">1</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-pink">2</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-green">3</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-orange">4</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-red">5</mbsc-scrollview-item>
            <mbsc-scrollview-item class="bck-yellow">6</mbsc-scrollview-item>
        </mbsc-scrollview>
    </mbsc-form-group>
</div>
.bck-orange {
    background: #ff9800;
}

.bck-red {
    background: #f4511e;
}

.bck-green {
    background: #afb42b;
}

.bck-yellow {
    background: #ffc400;
}

.bck-blue {
    background: #64b5f6;
}

.bck-pink {
    background: #f48fb1;
}

.md-layout .mbsc-scv-item {
    color: #fff;
    font-weight: bold;
    text-align: center;
}

.md-layout .mbsc-scv-c {
    margin: 10px 0;
}

.variable-1 {
    width: 60px;
    height: 60px;
}

.variable-2 {
    width: 80px;
    height: 80px;
}

.variable-3 {
    width: 70px;
    height: 70px;
}

.variable-4 {
    width: 50px;
    height: 50px;
}

.variable-5 {
    width: 100px;
    height: 100px;
}

.variable-6 {
    width: 40px;
    height: 40px;
}

.md-fixed .mbsc-scv-item {
    height: 80px;
    margin: 0 10px;
}

.md-variable .mbsc-scv-item {
    margin: auto 10px;
}

.md-pages .mbsc-scv-item {
    height: 80px;
}

.md-fullpage .mbsc-scv-item {
    height: 630px;
    font-size: 28px;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Scrollview - RTL Support

Change demo
RTL Support
Angular Horizontal scroll view with full RTL support and source. For Angular 22 and Ionic 8.
Copy code

Scrollview - Event handlers

Change demo
Event handlers
Angular Horizontally scrollable page-view demo with event hooks for custom integration and functionality. For Angular 22 and Ionic 8.
Clear event log
EVENTS FIRED: 
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos